<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../style.css');
    @import url('../../../../../roundedcorners.css');
  </style>
    
  <title>HttpClient 4.2.3</title></head>
<body onload="onLoad('HttpClient 4.2.3: org.apache.http.impl.conn.Helper.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
    
            <div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="Helper.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../img/srcFileCovDistChart9.png" alt="../../../../../img/srcFileCovDistChart9.png" usemap="#srcFileCovDistChart9.png" align="middle"/>
                    <map id="srcFileCovDistChart9.png" name="srcFileCovDistChart9.png">
<area shape="rect" coords="81,7,87,44" title="57 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,18,80,44" title="41 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,26,73,44" title="29 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,34,66,45" title="17 files have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,37,59,44" title="12 files have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,35,52,44" title="15 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,37,45,44" title="12 files have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,43,38,44" title="3 files have 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,43,31,44" title="3 files have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,43,24,44" title="3 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,9,17,44" title="54 files have 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">23% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file Helper.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      9
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      78
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      33
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.22
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file Helper.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      9
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      78
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.5
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      33
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.22
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      2
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="Helper" >
                                <span class="expand methodStart" id="span-Helper" onclick="toggleClass(this, 'Helper', 2);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#45" title="Helper">Helper</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('Helper'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 45
                <a name="sl-45"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    9
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    2
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    1
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    90.9%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.90909094</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90.9% Covered" class="barPositive " style="width: 90.9%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="Helper-1" style="display:none">
            <td class="methodSummary" id="summary-48-5">
                <span class="sortValue">Helper()</span>
                &nbsp;&nbsp;<a href="#48" title="Helper()" name="sl-48">Helper()</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">48</span>
                48
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">-1.0</span>
               - 
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">-1.0</span>
               - 
</td>
<td class="graphBar " align="center">
<span class="sortValue">-1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="Empty" class="barEmpty" style="min-width: 200px;"></div>
</div>
            </td>
              
                   </tr>
                <tr id="Helper-2" style="display:none">
            <td class="methodSummary" id="summary-56-5">
                <span class="sortValue">execute(HttpRequest,HttpClientConnection,HttpHost,HttpRequestExecutor,HttpProcessor,HttpParams,HttpContext)&nbsp;:&nbsp;HttpResponse</span>
                &nbsp;&nbsp;<a href="#56" title="execute(HttpRequest,HttpClientConnection,HttpHost,HttpRequestExecutor,HttpProcessor,HttpParams,HttpContext)&nbsp;:&nbsp;HttpResponse" name="sl-56">execute(HttpRequest,HttpClientConnection,HttpHost,HttpRequestExecutor,HttpProcessor,HttpParams,HttpContext)&nbsp;:&nbsp;HttpResponse</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">56</span>
                56
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">9.0</span>
              9
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(20) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-4077">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4077"></a>
            <input type="checkbox" id="cb-4077" value="4077" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_359.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4077">
            <span class="sortValue">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=80#src-80" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_359.html" title="Test Summary Page">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-755">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-755"></a>
            <input type="checkbox" id="cb-755" value="755" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_kz.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-755">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=238#src-238" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_kz.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4698">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4698"></a>
            <input type="checkbox" id="cb-4698" value="4698" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_3mi.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4698">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=152#src-152" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_3mi.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-5025">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-5025"></a>
            <input type="checkbox" id="cb-5025" value="5025" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3vl.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-5025">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=238#src-238" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3vl.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-497">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-497"></a>
            <input type="checkbox" id="cb-497" value="497" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_dt.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-497">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=422#src-422" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_dt.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-823">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-823"></a>
            <input type="checkbox" id="cb-823" value="823" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_mv.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-823">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=422#src-422" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_mv.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-2418">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2418"></a>
            <input type="checkbox" id="cb-2418" value="2418" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_1v6.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2418">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=152#src-152" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_1v6.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-5591">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-5591"></a>
            <input type="checkbox" id="cb-5591" value="5591" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_4bb.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-5591">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=422#src-422" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_4bb.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-5061">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-5061"></a>
            <input type="checkbox" id="cb-5061" value="5061" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3wl.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-5061">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=238#src-238" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3wl.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4061">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4061"></a>
            <input type="checkbox" id="cb-4061" value="4061" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_34t.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4061">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=238#src-238" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_34t.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-571">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-571"></a>
            <input type="checkbox" id="cb-571" value="571" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_fv.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-571">
            <span class="sortValue">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=80#src-80" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_fv.html" title="Test Summary Page">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4098">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4098"></a>
            <input type="checkbox" id="cb-4098" value="4098" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_35u.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4098">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=152#src-152" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_35u.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-3580">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-3580"></a>
            <input type="checkbox" id="cb-3580" value="3580" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_2rg.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-3580">
            <span class="sortValue">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=80#src-80" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_2rg.html" title="Test Summary Page">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-1060">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-1060"></a>
            <input type="checkbox" id="cb-1060" value="1060" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_tg.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-1060">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=152#src-152" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_tg.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-68">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-68"></a>
            <input type="checkbox" id="cb-68" value="68" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_1w.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-68">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=422#src-422" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_1w.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-2552">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-2552"></a>
            <input type="checkbox" id="cb-2552" value="2552" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_1yw.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-2552">
            <span class="sortValue">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=80#src-80" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_1yw.html" title="Test Summary Page">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-568">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-568"></a>
            <input type="checkbox" id="cb-568" value="568" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_fs.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-568">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=422#src-422" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionOnAbort_fs.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionOnAbort</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4411">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4411"></a>
            <input type="checkbox" id="cb-4411" value="4411" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_3ej.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4411">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=152#src-152" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnection_3ej.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-396">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-396"></a>
            <input type="checkbox" id="cb-396" value="396" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_b0.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-396">
            <span class="sortValue">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager.html?line=80#src-80" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestBasicConnManager_testReleaseConnectionWithTimeLimits_b0.html" title="Test Summary Page">org.apache.http.impl.conn.TestBasicConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-4955">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-4955"></a>
            <input type="checkbox" id="cb-4955" value="4955" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3tn.html';">
            <span class="sortValue">0.90909094</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90.9% Covered" class="barPositive contribBarPositive" style="width: 90.9%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-4955">
            <span class="sortValue">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</span>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager.html?line=238#src-238" title="View Test Source"><img class="icon" alt="test" src="../../../../../img/test.gif"/></a>
            <a href="../../../../../org/apache/http/impl/conn/TestPoolingConnManager_testReleaseConnectionWithTimeLimits_3tn.html" title="Test Summary Page">org.apache.http.impl.conn.TestPoolingConnManager.testReleaseConnectionWithTimeLimits</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"></span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"><span class="keyword">package</span> org.apache.http.impl.<a href="../conn/pkg-summary.html">conn</a>;</span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"></span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpClientConnection;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpHost;</span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpRequest;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"><span class="keyword">import</span> org.apache.http.HttpResponse;</span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="keyword">import</span> org.apache.http.params.HttpParams;</span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="keyword">import</span> org.apache.http.params.DefaultedHttpParams;</span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="keyword">import</span> org.apache.http.protocol.HttpContext;</span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="keyword">import</span> org.apache.http.protocol.ExecutionContext;</span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="keyword">import</span> org.apache.http.protocol.HttpProcessor;</span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"><span class="keyword">import</span> org.apache.http.protocol.HttpRequestExecutor;</span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine"></span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine"></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine"><span class="comment"> * Static helper methods.</span></span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="45" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-45' onclick="toggleInlineStats(this, 'inlinestats-45');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-45" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-45'), 'inlinestats-45');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="9.1% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="90.9% Covered" class="barPositive barPositive" style="width: 90.9%"></div>
    </div>
</div></td><td>90.9%</td>
           <td class="inlineStat">Uncovered Elements: 1 (11)</td>
           <td class="inlineStat">Complexity: 2</td>
           <td class="inlineStat">Complexity Density: 0.22</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 45, 'Tests that hit &lt;span class=\'srcFragment\'&gt; Helper &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-45" >
    <span class="spacer"></span><span id="src-45" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">final</span> <span class="keyword">class</span> <a href="../../../../../org/apache/http/impl/conn/Helper.html#Helper">Helper</a> {</span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"></span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine">    <span class="comment">/** Disabled default constructor. */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="48" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-48' onclick="toggleInlineStats(this, 'inlinestats-48');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-48" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-48'), 'inlinestats-48');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="Empty" class="barEmpty" style="min-width: 40px;"></div>
</div></td><td> - </td>
           <td class="inlineStat">Uncovered Elements: 0 (0)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: -</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l48">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 48, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-48" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 48,50);" id="img-48" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-48" class="srcLineHilight"><span class="nolink" title="Line 48, Col 5: method not entered.">    <span class="keyword">private</span> <a href="../../../../../org/apache/http/impl/conn/Helper.html#Helper">Helper</a>() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-48'), 48,50);" id="e48" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine">        <span class="comment">// no body</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine">    }</span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine"></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine"></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine"><span class="comment">     * Executes a request.</span></span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="56" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-56' onclick="toggleInlineStats(this, 'inlinestats-56');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-56" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-56'), 'inlinestats-56');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (9)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.11</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l56">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 56, 'Tests that hit &lt;span class=\'srcFragment\'&gt; execute(HttpRequest,HttpClientConnection,HttpHost,HttpRequestExecutor,HttpProcessor,HttpParams,HttpContext)&amp;nbsp;:&amp;nbsp;HttpResponse &lt;/span&gt;');"
       >
    <span title="Line 56, Col 5: method entered 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  methodStart  srcCell" id="id-56" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 56,76);" id="img-56" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-56" class="srcLine"><span class="nolink" title="Line 56, Col 5: method entered 20 times.">    <span class="keyword">public</span> <span class="keyword">static</span> HttpResponse execute(HttpRequest req,</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-56'), 56,76);" id="e56" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine">                                       HttpClientConnection conn,</span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine">                                       HttpHost target,</span></td>
</tr>
        

<tr id="l59">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-59" class="srcLine">                                       HttpRequestExecutor exec,</span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLine">                                       HttpProcessor proc,</span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine">                                       HttpParams params,</span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLine">                                       HttpContext ctxt)</span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine">        <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLine"></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 65, 'Tests that hit line # 65');"
    >
    <span title="Line 65, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine"><span class="nolink" title="Line 65, Col 9: statement executed 20 times.">        ctxt.setAttribute(ExecutionContext.HTTP_CONNECTION, conn);</span></span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 66, 'Tests that hit line # 66');"
    >
    <span title="Line 66, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine"><span class="nolink" title="Line 66, Col 9: statement executed 20 times.">        ctxt.setAttribute(ExecutionContext.HTTP_TARGET_HOST, target);</span></span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 67, 'Tests that hit line # 67');"
    >
    <span title="Line 67, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine"><span class="nolink" title="Line 67, Col 9: statement executed 20 times.">        ctxt.setAttribute(ExecutionContext.HTTP_REQUEST, req);</span></span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine"></span></td>
</tr>
        

<tr id="l69">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 69, 'Tests that hit line # 69');"
    >
    <span title="Line 69, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-69" class="srcLine"><span class="nolink" title="Line 69, Col 9: statement executed 20 times.">        req.setParams(<span class="keyword">new</span> DefaultedHttpParams(req.getParams(), params));</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 70, 'Tests that hit line # 70');"
    >
    <span title="Line 70, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLine"><span class="nolink" title="Line 70, Col 9: statement executed 20 times.">        exec.preProcess(req, proc, ctxt);</span></span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 71, 'Tests that hit line # 71');"
    >
    <span title="Line 71, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLine"><span class="nolink" title="Line 71, Col 9: statement executed 20 times.">        HttpResponse rsp = exec.execute(req, conn, ctxt);</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 72, 'Tests that hit line # 72');"
    >
    <span title="Line 72, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine"><span class="nolink" title="Line 72, Col 9: statement executed 20 times.">        rsp.setParams(<span class="keyword">new</span> DefaultedHttpParams(rsp.getParams(), params));</span></span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 73, 'Tests that hit line # 73');"
    >
    <span title="Line 73, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine"><span class="nolink" title="Line 73, Col 9: statement executed 20 times.">        exec.postProcess(rsp, proc, ctxt);</span></span></td>
</tr>
        

<tr id="l74">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-74" class="srcLine"></span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 75, 'Tests that hit line # 75');"
    >
    <span title="Line 75, Col 9: statement executed 20 times." class="nolink">&nbsp;20</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLine"><span class="nolink" title="Line 75, Col 9: statement executed 20 times.">        <span class="keyword">return</span> rsp;</span></span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine">    }</span></td>
</tr>
        

<tr id="l77">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=77#src-77">77</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-77" class="srcLine"></span></td>
</tr>
        

<tr id="l78">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=78#src-78">78</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-78" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../';
    var testsPerFile = -1;
</script>
<script src="Helper.js" type="text/javascript"></script>
<script src="../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
